
Foreman - Bug #11387

LDAP Account password cannot be empty after edit 

08/17/2015 09:07 AM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2632

  

Description

when I tried to erase an account password (in the Account tab)  , the change does not appear, the old password remains.

Related issues:

Related to Foreman - Feature #2943: Make it possible to unset a host's root p... Closed 08/16/2013

Related to Foreman - Bug #18489: auth_source_ldaps controller test sets accou... Closed 02/14/2017

Associated revisions

Revision 2348fc8e - 09/21/2015 11:32 AM - Amir Fefer

Fixes #2943,#11387 - Add unset option to password_f in layout helper, added in Host and hostgroup root_pass, LDAP acount password, BMC

password and compute resources password

#2943,#11387 - Please enter the commit message for your changes. Lines starting

History

#1 - 08/17/2015 09:10 AM - Dominic Cleal

- Related to Feature #2943: Make it possible to unset a host's root password  added

#2 - 08/17/2015 09:10 AM - Dominic Cleal

- Category set to Web Interface

#3 - 08/23/2015 10:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2632 added

- Pull request deleted ()

#4 - 09/21/2015 12:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2348fc8ea209f5359f3df9350adeb197ca4842c8.

#5 - 09/22/2015 02:58 AM - Dominic Cleal

- Assignee set to Amir Fefer

- translation missing: en.field_release set to 63

#6 - 02/14/2017 05:06 AM - Dominic Cleal

- Related to Bug #18489: auth_source_ldaps controller test sets account_password to nil to test missing parameter added
